; Script generated by the HM NIS Edit Script Wizard.

; HM NIS Edit Wizard helper defines
!define SCENARIO_NAME "AC4400"
!define PRODUCT_NAME "Railroads! Train: AC4400"
!define PRODUCT_VERSION "1.0"
!define PRODUCT_PUBLISHER "Atani Software"
!define PRODUCT_WEB_SITE "http://www.atani-software.net"
!define PRODUCT_UNINST_KEY "Software\Microsoft\Windows\CurrentVersion\Uninstall\${PRODUCT_NAME}"
!define PRODUCT_UNINST_ROOT_KEY "HKLM"

; MUI 1.67 compatible ------
!include "MUI.nsh"

; MUI Settings
!define MUI_ABORTWARNING
!define MUI_ICON "${NSISDIR}\Contrib\Graphics\Icons\modern-install.ico"
!define MUI_UNICON "${NSISDIR}\Contrib\Graphics\Icons\modern-uninstall.ico"

; Welcome page
!insertmacro MUI_PAGE_WELCOME
; Directory page
!insertmacro MUI_PAGE_DIRECTORY
; Instfiles page
!insertmacro MUI_PAGE_INSTFILES
; Finish page
!insertmacro MUI_PAGE_FINISH

; Uninstaller pages
!insertmacro MUI_UNPAGE_INSTFILES

; Language files
!insertmacro MUI_LANGUAGE "English"

; MUI end ------

; Include Railroads Installer macros
!include "SMR.nsh"

Name "${PRODUCT_NAME} ${PRODUCT_VERSION}"
OutFile "Setup_${SCENARIO_NAME}_${PRODUCT_VERSION}.exe"
ShowInstDetails show

InstallDir "$DOCUMENTS\My Games\Sid Meier's Railroads!\CustomAssets\"

;Section "ScenarioFiles" SEC01
;  SetOutPath "$INSTDIR"
;  SetOverwrite ifnewer
;  File "BasinAndRangeDemo\map_BasinAndRange.tga"
;  File "BasinAndRangeDemo\map_BasinAndRange_thumbnail.dds"
;  File "BasinAndRangeDemo\RRT_Cities_BasinAndRange.xml"
;  File "BasinAndRangeDemo\RRT_Decorations_BasinAndRange.xml"
;  File "BasinAndRangeDemo\RRT_Depots_BasinAndRange.xml"
;  File "BasinAndRangeDemo\RRT_Goods_BasinAndRange.xml"
;  File "BasinAndRangeDemo\RRT_Industries_BasinAndRange.xml"
;  File "BasinAndRangeDemo\RRT_Names_BasinAndRange.xml"
;  File "BasinAndRangeDemo\RRT_Scenario_User_BasinAndRange.xml"
;  File "BasinAndRangeDemo\RRT_TrainCars_BasinAndRange.xml"
;  File "BasinAndRangeDemo\RRT_Trains_BasinAndRange.xml"
;SectionEnd

Section "CustomAssets" SEC02
  SetOutPath "$INSTDIR"
  SetOverwrite ifnewer
  File "AC4400.FPK"
SectionEnd

Section "GlobalXMLs" SEC03
  SetOutPath "$INSTDIR\XML"

!insertmacro CheckGlobalXMLs "globals"

!insertmacro CreateTenderCarIfNeeded \
             "AC4400Dummy" \
             "GE_AC440B.kfm" \
             "GE_AC440B_dummies.nif" \
             "${CAR_CLACK_GROUND}" \
             "${CAR_CLACK_BRIDGE}" \
             "25"

!insertmacro CreateTrainIfNeeded \
             "TAG_NAME_AC4400_DUAL" \
             "1994" \
             "GE" \
             "GE_AC4400.kfm" \
             "GE_AC4400_dummies.nif" \
             "AC4400Dummy" \
             "_v2" \
             "event_newtrain_AC4400.dds" \
             "AS3D_CLACK_PLANET_GROUND" \
             "AS3D_CLACK_PLANET_BRIDGE" \
             "12" \
             "15" \
             "32" \
             "600000" \
             "8000" \
             "1" \
             "" \
             "80" \
             "0" \
             "65,139,255" \
             "2.0" \
             "0.25" \
             "3.0" \
             "2000" \
             "AS3D_TR_DIESEL_ENGINE_START_3" \
             "AS3D_TR_DIESEL_ENGINE_STOP_3" \
             "AS3D_CURVE_SQUEAL" \
             "AS3D_CURVE_SQUEAL_MEDIUM" \
             "AS3D_CURVE_SQUEAL_LIGHT" \
             "<SpeedSounds><szSpeed>AS3D_TR_DIESEL_ENGINE_SLOW_LP_3</szSpeed><szSpeed>AS3D_TR_DIESEL_ENGINE_SLOW_LP_3</szSpeed><szSpeed>AS3D_TR_DIESEL_ENGINE_MID_SLOW_LP_3</szSpeed><szSpeed>AS3D_TR_DIESEL_ENGINE_MID_SLOW_LP_3</szSpeed><szSpeed>AS3D_TR_DIESEL_ENGINE_MID_FAST_LP_3</szSpeed><szSpeed>AS3D_TR_DIESEL_ENGINE_MID_FAST_LP_3</szSpeed><szSpeed>AS3D_TR_DIESEL_ENGINE_FAST_LP_3</szSpeed><szSpeed>AS3D_TR_DIESEL_ENGINE_FAST_LP_3</szSpeed></SpeedSounds>" \
             "routing_AC4400.tga"

!insertmacro CreateGlobalNameIfNeeded \
             "TAG_NAME_AC4400_DUAL" \
             "AC4400 Dual" \
             "M"

SectionEnd

Section -Post
  WriteUninstaller "$INSTDIR\uninst.exe"
  WriteRegStr ${PRODUCT_UNINST_ROOT_KEY} "${PRODUCT_UNINST_KEY}" "DisplayName" "$(^Name)"
  WriteRegStr ${PRODUCT_UNINST_ROOT_KEY} "${PRODUCT_UNINST_KEY}" "UninstallString" "$INSTDIR\uninst.exe"
  WriteRegStr ${PRODUCT_UNINST_ROOT_KEY} "${PRODUCT_UNINST_KEY}" "DisplayVersion" "${PRODUCT_VERSION}"
  WriteRegStr ${PRODUCT_UNINST_ROOT_KEY} "${PRODUCT_UNINST_KEY}" "URLInfoAbout" "${PRODUCT_WEB_SITE}"
  WriteRegStr ${PRODUCT_UNINST_ROOT_KEY} "${PRODUCT_UNINST_KEY}" "Publisher" "${PRODUCT_PUBLISHER}"
SectionEnd

Function un.onUninstSuccess
  HideWindow
  MessageBox MB_ICONINFORMATION|MB_OK "$(^Name) was successfully removed from your computer."
FunctionEnd

Function un.onInit
  MessageBox MB_ICONQUESTION|MB_YESNO|MB_DEFBUTTON2 "Are you sure you want to completely remove $(^Name) and all of its components?" IDYES +2
  Abort
FunctionEnd

Section Uninstall
  Delete "$INSTDIR\*"
  RMDir "$INSTDIR"

  DeleteRegKey ${PRODUCT_UNINST_ROOT_KEY} "${PRODUCT_UNINST_KEY}"
  SetAutoClose true
SectionEnd
